summaryrefslogtreecommitdiff
path: root/build-without-openssl.bash
diff options
context:
space:
mode:
Diffstat (limited to 'build-without-openssl.bash')
-rwxr-xr-xbuild-without-openssl.bash5
1 files changed, 5 insertions, 0 deletions
diff --git a/build-without-openssl.bash b/build-without-openssl.bash
index e965951..f450caf 100755
--- a/build-without-openssl.bash
+++ b/build-without-openssl.bash
@@ -3,3 +3,8 @@
cd "$(dirname "$0")"
CGO_ENABLED=0 source ./build.bash -tags without_openssl
+
+if ldd gocryptfs > /dev/null ; then
+ echo "build-without-openssl.bash: error: compiled binary is not static"
+ exit 1
+fi